#ifndef DOMAIN_LIBRARY_ATTRIBUTE_H
#define DOMAIN_LIBRARY_ATTRIBUTE_H

#include "value.h"
#include "popup.h"

#include <optional>

class Attribute: AstNode
{
public:

    Value::ValueType type;
    IdentifierNode name;
    std::optional<Value> defaultValue;
    std::optional<Popup> popup;

    Attribute();
};

#endif // DOMAIN_LIBRARY_ATTRIBUTE_H
